#ifndef __adc_H
#define __adc_H

#include "stm32f0xx_hal.h"


void adc_init(void); 
void adc_start(void);
void adc_stop(void);
uint8_t adc_get_vbatt(void);
int16_t adc_get_dietemp(void);
ADC_HandleTypeDef* adc_gethandle(void);

#endif
